windows下安装python的scrapy框架

  • A+
所属分类:环境配置
[隐藏]

在之前的文章中曾经写过在linux下安装scrapy的文章,因为在windows中进行安装的时候会报错,所以这里单独把windows拿出来重新写一篇文章。

关于linux下如何安装scrapy框架,可以参考《Scarpy安装与使用

一、windows下安装scrapy

执行如下命令进行安装

windows下安装python的scrapy框架

二、windows安装scrapy错误汇总

下面都是常见的错误,可以参考。

1.错误1

这个错误是因为网络的原因,重试几次或者使用科学上网的办法进行解决。
windows下安装python的scrapy框架

2.错误2

从下面的这个截图中可以看到,他让你安装一个vc14++,但是千万不要这么做,因为他给你的链接是安装整个vs。其实他缺少的只是一个wordcloud模块而已。

我们通过访问链接https://www.lfd.uci.edu/~gohlke/pythonlibs/下载我们需要的模块,这里我们下载wordcloud‑1.3.3‑cp36‑cp36m‑win_amd64.whl,这个你要根据你自己的版本进行选择。

然后我们使用pip install命令进行安装即可

如果上面的方法不好使,那么就使用下面的方法(我使用的下面的方法)

我们通过访问链接https://www.lfd.uci.edu/~gohlke/pythonlibs/下载我们需要的模块,这里我们下载Twisted-17.9.0-cp36-cp36m-win_amd64.whl,这个你要根据你自己的版本进行选择。

3.错误3

如果出现 ModuleNotFoundError: No module named 'win32api' 的错误,那么是因为在windows下面缺少一个py包
windows下安装python的scrapy框架

我们需要执行如下命令来进行安装

windows下安装python的scrapy框架

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: